# Generated by Django 5.2.1 on 2025-06-06 09:02

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="UnusedImageURLS",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image_url",
                    models.URLField(
                        blank=True,
                        default="",
                        help_text="The images url.",
                        max_length=255,
                        verbose_name="Image URL",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="The date and time when this record was created.",
                        verbose_name="Created",
                    ),
                ),
                (
                    "deleted",
                    models.DateTimeField(
                        blank=True,
                        help_text="The date and time when this record was deleted (if applicable).",
                        null=True,
                        verbose_name="Deleted",
                    ),
                ),
                (
                    "processing",
                    models.DateTimeField(
                        blank=True,
                        help_text="The date and time when this record was claimed for processing.",
                        null=True,
                        verbose_name="Processing",
                    ),
                ),
                (
                    "deletion_error",
                    models.TextField(
                        blank=True,
                        default="",
                        help_text="Error message if deletion failed (used for troubleshooting).",
                        verbose_name="Deletion Error",
                    ),
                ),
                (
                    "processing_stats",
                    models.JSONField(
                        blank=True,
                        help_text="Processing Stats",
                        null=True,
                        verbose_name="Processing Stats",
                    ),
                ),
                (
                    "retry_count",
                    models.PositiveIntegerField(
                        default=0,
                        help_text="Number of times deletion has been attempted.",
                        verbose_name="Retry Count",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        help_text="The user deleting the image",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="User",
                    ),
                ),
            ],
            options={
                "verbose_name": "Django BlockNote Unused Images",
                "verbose_name_plural": "Django BlockNote Unused Images",
                "constraints": [
                    models.UniqueConstraint(
                        fields=("image_url",),
                        name="djbn_image_url_no_duplicates",
                        violation_error_message="Django CKeditor removed image url may not be duplicated.",
                    )
                ],
            },
        ),
    ]
